public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/jekyll/
Date: Sun, 21 Feb 2016 11:05:44 +0000 (UTC)	[thread overview]
Message-ID: <1456052709.abe7dba4c2622da181aa7fbf66ae9722d9acf521.mrueg@gentoo> (raw)

commit:     abe7dba4c2622da181aa7fbf66ae9722d9acf521
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 21 11:05:09 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Feb 21 11:05:09 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abe7dba4

www-apps/jekyll: Version bump

Package-Manager: portage-2.2.27

 www-apps/jekyll/Manifest            |  1 +
 www-apps/jekyll/jekyll-3.1.2.ebuild | 53 +++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/www-apps/jekyll/Manifest b/www-apps/jekyll/Manifest
index 0863657..4e071af 100644
--- a/www-apps/jekyll/Manifest
+++ b/www-apps/jekyll/Manifest
@@ -1,2 +1,3 @@
 DIST jekyll-2.5.3.tar.gz 757248 SHA256 51316d48c3b12a6753a66655e1c7676f2c1014f0b50ccff6bf53002d5934b93d SHA512 28dc09ec9e758fbd2637df9e2adbd139af77799ace6af32d1ae4834ac9fb08e1a10f286a274a5faa589a37451fac5e8187cd219950be36c0e9b8bbdcbfd31285 WHIRLPOOL f8c1a43be364893b811e8a23e4aacf032d17e0dce01d8a253a2ed05f008141cc99181cd5c8922307d296804b961880ba29a839b3c263856d040160f80ac81771
 DIST jekyll-3.1.1.tar.gz 959386 SHA256 f5d7e877f5db1dbd07876f4a2dfdf82b33859870e217c0f573bbe5f732a64347 SHA512 01aab3e9681c2187ad4b2eb92f8cd396a9db78c9fe77e0feca116f6509d52f9de4fd10a58e65887c6ef85113b85b3943d7f7016004510eb4495f11ab6cd00c82 WHIRLPOOL b226b9b701bd3da0178a752225ab4c58c7c3312c3f7e9bb71763b03da5ec750db3663b4d3c28b135679232ed23adf17212c93a59f58eecb0e7d14e760eaf92d0
+DIST jekyll-3.1.2.tar.gz 963278 SHA256 e1f46a75b8d38fdbfaecbda273bd5673d0f75bddf7650106f0bf84b924bb542b SHA512 602980b925acb2f5b60bff3234a8afbd93a4390b18f3678ecd5250dec957e5f252e6088ce7a98be099e24a799ace70eaa101850567feb9df72fab2db65a7cad5 WHIRLPOOL 529dbd7866c02b34812873950a3c51dd1ef1cb351018cdb3d623b9b7c8d6fdd5c9165c9db058902d313b6a83520f10042953d18586de4aab8316fcece5f32c3d

diff --git a/www-apps/jekyll/jekyll-3.1.2.ebuild b/www-apps/jekyll/jekyll-3.1.2.ebuild
new file mode 100644
index 0000000..6d421c6
--- /dev/null
+++ b/www-apps/jekyll/jekyll-3.1.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21"
+
+inherit ruby-fakegem
+
+RUBY_FAKEGEM_EXTRADOC="CONTRIBUTING.markdown README.markdown History.markdown"
+RUBY_FAKEGEM_EXTRAINSTALL="features site"
+
+DESCRIPTION="A simple, blog aware, static site generator"
+HOMEPAGE="http://jekyllrb.com https://github.com/jekyll/jekyll"
+SRC_URI="https://github.com/jekyll/${PN}/archive/v${PV}.tar.gz  -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend "dev-ruby/colorator
+	>=dev-ruby/kramdown-1.3
+	>=dev-ruby/liquid-3.0:3
+	>=dev-ruby/mercenary-0.3.3
+	>=dev-ruby/safe_yaml-1
+	>=dev-ruby/rouge-1.7
+	>=www-apps/jekyll-sass-converter-1.0
+	>=www-apps/jekyll-watch-1.1"
+
+ruby_add_bdepend "test? (
+		dev-ruby/activesupport:3.2
+		dev-ruby/launchy
+		>=dev-ruby/maruku-0.7
+		dev-ruby/mime-types:0
+		=dev-ruby/rdiscount-1.6*
+		>=dev-ruby/redcloth-4.2.1
+		>=dev-ruby/rouge-1.7
+		dev-ruby/rr
+		>=dev-ruby/shoulda-3
+		dev-ruby/test-unit:2 )"
+
+all_ruby_prepare() {
+	sed -i -e "/simplecov/,+5d"\
+		-e "1igem 'test-unit'"\
+		-e "/reporters/d"\
+		-e "/profile/d"\
+		-e "/Reporters/,+4d" test/helper.rb || die
+	# Drop bundler
+	sed -i -e "/self.class.require_from_bundler/d" lib/jekyll/plugin_manager.rb || die
+	# This test fails without bundler
+	rm test/test_plugin_manager.rb || die
+}


             reply	other threads:[~2016-02-21 11:05 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-21 11:05 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-15  6:08 [gentoo-commits] repo/gentoo:master commit in: www-apps/jekyll/ Hans de Graaff
2023-12-13 13:16 Hans de Graaff
2023-12-13 13:16 Hans de Graaff
2023-08-19  8:36 Hans de Graaff
2023-07-20  7:23 Hans de Graaff
2023-06-23  8:51 Sam James
2023-04-01  6:35 Hans de Graaff
2023-04-01  6:25 Hans de Graaff
2023-02-22 19:56 Sam James
2022-06-18  8:40 Hans de Graaff
2022-05-20 10:36 Hans de Graaff
2022-05-20 10:36 Hans de Graaff
2021-08-29  0:40 Aaron Bauman
2020-09-09 10:07 Michał Górny
2020-08-15 10:13 Hans de Graaff
2020-08-09  7:27 Michał Górny
2020-07-27  2:09 Sam James
2020-06-19 13:09 Hans de Graaff
2019-07-17  7:37 Hans de Graaff
2019-04-12 13:58 Hans de Graaff
2018-11-25 21:58 Aaron Bauman
2018-09-06 21:22 Michał Górny
2018-06-13 11:00 Michał Górny
2018-05-06  8:14 Hans de Graaff
2018-05-06  8:14 Hans de Graaff
2018-01-24 18:33 Hans de Graaff
2017-10-09 18:06 Michał Górny
2017-10-09 18:06 Michał Górny
2017-08-28  5:54 Hans de Graaff
2017-04-28 21:15 Manuel Rüger
2017-04-28 21:15 Manuel Rüger
2016-10-24 21:24 Manuel Rüger
2016-09-17  2:47 Manuel Rüger
2016-09-17  1:34 Manuel Rüger
2016-09-05 19:44 Manuel Rüger
2016-09-05 17:52 Manuel Rüger
2016-08-28 22:59 Manuel Rüger
2016-05-20 20:17 Manuel Rüger
2016-05-20 20:14 Manuel Rüger
2016-04-29 19:44 Manuel Rüger
2016-04-19 21:54 Manuel Rüger
2016-02-21 11:05 Manuel Rüger
2016-02-18 22:52 Manuel Rüger
2016-02-18 22:52 Manuel Rüger
2016-02-18 22:48 Manuel Rüger
2016-01-23 16:31 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1456052709.abe7dba4c2622da181aa7fbf66ae9722d9acf521.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox